contador web Saltar al contenido

Apple announces new app and update requirements starting March 27

With iOS 12 already installed on more than 80% of devices in use worldwide, Apple today announced new rules for new apps and updates that will take effect within an exact week. March 27.

From that date, all new apps and app updates for iPhones and iPads, including universal binaries, will need to be built with the iOS 12.1 SDK and must support the iPhone XS Max or 12.9-inch iPad Pro screens. (third generation). That is, in theory no app can run with black borders anymore.

Apple has also said that it will require screenshots for these devices in new shipments beginning March 27, and that all new Apple Watch apps / updates should be built with the watchOS 5.1 SDK and support Apple Watch Series 4.

In my view, all these rules are quite valid. Apple gives developers more than enough time to adapt (this requirement was now originally announced in September of last year), the problem that seems to be that the company doesn't always actually apply these app rules. There are some (hi, OLX) that still don't work well on iPhone X so you have an idea.

Let's see if it goes now.